%define name rpmsync
%define version 1.3
%define release 1mdk

Summary:	Script to rsync update an RPM repository mirror
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://cvs.mandrakesoft.com/cgi-bin/cvsweb.cgi/contrib-SPECS/%{name}/
Source0:	%{name}.pl.bz2
Source1:	README.bz2
Source2:	exclude.lst.bz2
License:	LGPL
Group:		Networking/File transfer
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	rsync

%description
- Script to rsync update an RPM repository mirror; most useful for
  frequently updated distributions, like Mandrake Cooker, RedHat Rawhide
  or security updates for a specific version of an RPM-based distribution
- Moves RPMs so you can rsync between package versions
- Supports mirroring directories and individual files

%prep
%setup -T -c
cp -f %{SOURCE1} %{SOURCE2} .
bunzip2 README.bz2
bunzip2 exclude.lst.bz2

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
bzcat %{SOURCE0} > $RPM_BUILD_ROOT%{_bindir}/rpmsync


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/rpmsync
%doc README exclude.lst


%changelog
* Wed Feb 18 2004 David Walser <luigiwalser@yahoo.com> 1.3-1mdk
- Fix for using relative local path (thanks Keld Jrn Simonsen)
- change updates example in README to 10.0
- fix first changelog entry

* Tue Jan 20 2004 David Walser <luigiwalser@yahoo.com> 1.2-1mdk
- Fix for when banner is complelety empty (thanks Luca Berra)

* Sat Oct 25 2003 David Walser <luigiwalser@yahoo.com> 1.1-1mdk
- Fix for when source has no slash in it (like updates example in README)
- fix updates example in README
- from Jaco Greeff <jaco@linuxminicd.org> :
	- Added rsync require
	- Fixed typo in first changelog entry

* Thu Oct 16 2003 David Walser <luigiwalser@yahoo.com> 1.0-2mdk
- Fix command-line support (variable scope problem); thanks Aaron Peromsik

* Sat Jul 19 2003 David Walser <luigiwalser@yahoo.com> 1.0-1mdk
- initial package
- rsync excludes file support (thanks Steffen Barszus)

